<?php

namespace DeutschePost\Internetmarke\Enums;

use ReflectionClass;
use ReflectionException;

defined('ABSPATH') || exit;

abstract class ShipmentNatureType
{
    const SALE_GOODS = 'SALE_GOODS';

    /**
     * @return array
     */
    public static function toArray()
    {
        try {
            $class = new ReflectionClass(__CLASS__);
        } catch (ReflectionException $re) {
            return array();
        }

        return $class->getConstants();
    }
}