<?php

namespace DeutschePost\Internetmarke\Interfaces;

defined('ABSPATH') || exit();

interface CredentialsRepository
{
    /**
     * @return CredentialsModel
     */
    public function get();

    /**
     * @param array $credentials
     *
     * @return CredentialsModel
     */
    public function set($credentials);

    /**
     * @return bool
     */
    public function check();

    /**
     * @return bool
     */
    public function delete();
}