<?php

use DeutschePost\Internetmarke\Models\Resources\ProductSales as ProductSalesResourceModel;

defined('ABSPATH') || exit;

/**
 * @var string $field
 * @var array $value
 */

?>


<div class="regular-text">
    <select id="<?php echo esc_attr($field); ?>"
            name="_wcdpi_settings_internetmarke_1c4a[<?php echo esc_attr($field);?>][]"
            multiple>

        <?php foreach (wcdpi_get_shipping_products_array(false) as $shippingProductGroup): ?>

            <optgroup label="<?php echo esc_attr($shippingProductGroup['label']); ?>">

                <?php
                /** @var ProductSalesResourceModel $shippingProduct */
                foreach ($shippingProductGroup['products'] as $shippingProduct):
                ?>

                <option value="<?php echo esc_attr($shippingProduct->getProdwsId()); ?>"
                        <?php echo in_array($shippingProduct->getProdwsId(), $value) ? 'selected="selected"' : ''; ?>>
                    <?php echo esc_html($shippingProduct->getName()); ?>
                </option>

                <?php endforeach; ?>

            </optgroup>

        <?php endforeach; ?>

    </select>
</div>

<p class="description"><?php _e('Multiple choice is possible', 'woo-dp-internetmarke') ?></p>
