<?php defined('ABSPATH') || exit; ?>

<h2><?=__('Scheduled tasks', 'woo-dp-internetmarke');?></h2>
<p class="description" style="margin-bottom: 1em"><?=__('Below you can find an overview of scheduled tasks.', 'woo-dp-internetmarke');?></p>

<table class="wcdpi-table wcdpi-table--tools widefat">
    <tbody class="tools">
        <tr class="update-product-list">
            <th>
                <strong class="name"><?=__('<code>internetmarke_update_product_list</code>', 'woo-dp-internetmarke');?></strong>

    			<?php if ($timestamp = wp_next_scheduled('internetmarke_update_product_list')): ?>
                    <p class="description small">
                        <span><?=__('Next update: ', 'woo-dp-internetmarke');?></span>
                        <span><?=gmdate('d.m.Y, H:i', $timestamp);?></span>
                    </p>
                <?php else: ?>
                    <p class="description small">
                        <input class="button button-secondary" type="submit" name="wcdpi_schedule_cron_internetmarke_update_product_list" value="<?php _e('Schedule now', 'woo-dp-internetmarke'); ?>">
                    </p>
    			<?php endif; ?>
            </th>
        </tr>
        <tr class="update-portokasse-wallet">
            <th>
                <strong class="name"><?=__('<code>internetmarke_update_portokasse_wallet</code>', 'woo-dp-internetmarke');?></strong>
                <?php if ($timestamp = wp_next_scheduled('internetmarke_update_portokasse_wallet')): ?>
                    <p class="description small">
                        <span><?=__('Next update: ', 'woo-dp-internetmarke');?></span>
                        <span><?=gmdate('d.m.Y, H:i', $timestamp);?></span>
                    </p>
                <?php else: ?>
                    <p class="description small">
                        <input class="button button-secondary" type="submit" name="wcdpi_schedule_cron_internetmarke_update_portokasse_wallet" value="<?php _e('Schedule now', 'woo-dp-internetmarke'); ?>">
                    </p>
                <?php endif; ?>
            </th>
        </tr>

    </tbody>
</table>