<?php defined('ABSPATH') || exit; ?>

<h2><?php _e('Synchronization', 'woo-dp-internetmarke');?></h2>

<p class="description" style="margin-bottom: 1em">
    <?php _e('The following options are used to keep your basic plugin data up to date.', 'woo-dp-internetmarke');?>
</p>

<table class="wcdpi-table wcdpi-table--tools widefat">
    <tbody class="tools">
        <tr class="update-product-list">
            <th>
                <strong class="name"><?php _e('Product list', 'woo-dp-internetmarke');?></strong>

                <?php if ($settingsTools && $settingsTools['_wcdpi_update_product_list_timestamp']): ?>

                    <p class="description">
                        <span><?php _e('Last update', 'woo-dp-internetmarke');?>:</span>
                        <span><?=$settingsTools['_wcdpi_update_product_list_timestamp'];?></span>
                    </p>

                <?php else: ?>

                    <p class="description"><?php _e('Not updated yet...', 'woo-dp-internetmarke');?></p>

                <?php endif; ?>

            </th>
            <td class="run-tool">
                <button class="button button-primary button-large" type="submit" name="update_product_list">
                    <span><?php _e('Update product list', 'woo-dp-internetmarke');?></span>
                </button>
            </td>
        </tr>
        <tr class="update-page-formats">
            <th>
                <strong class="name">
                    <?php _e('Page formats', 'woo-dp-internetmarke');?>
                </strong>

                <?php if ($settingsTools && $settingsTools['_wcdpi_update_page_formats_timestamp']): ?>

                    <p class="description">
                        <span><?php _e('Last update', 'woo-dp-internetmarke');?>:</span>
                        <span><?=$settingsTools['_wcdpi_update_page_formats_timestamp'];?></span>
                    </p>

                <?php else: ?>

                    <p class="description"><?php _e('Not updated yet...', 'woo-dp-internetmarke');?></p>

                <?php endif; ?>

            </th>
            <td class="run-tool">
                <button class="button button-primary button-large" type="submit" name="update_page_formats">
                    <span><?php _e('Update page formats', 'woo-dp-internetmarke');?></span>
                </button>
            </td>
        </tr>
    </tbody>
</table>
