<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request;

class RetrieveRetoureState extends Request
{
    /**
     * RetrieveRetoureState constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('userToken', $arguments)) {
            throw new Exception('Argument userToken is missing from the RetrieveRetoureState request');
        }

        $this->setArgument('userToken', $arguments['userToken']);
    }
}
