<?php

if ($migrationMode == "UPGRADE")
{
    $table_service_feature = $wpdb->prefix . "wcdpi_t_app_service_feature";

    $sql = "
        INSERT INTO $table_service_feature
            (
                app_service_id
                , app_service_feature_unique_id
                , app_service_feature_desc_short
                , app_service_feature_desc_long
                , app_service_feature_prodws_id
            )
        VALUES
            (
                2
                , 'dpoc4a_f00114'
                , 'dpoc4a_f00114'
                , 'Brief  Kilotarif international ohne USt.'
                , 13133
            ),
            (
                2
                , 'dpoc4a_f00115'
                , 'dpoc4a_f00115'
                , 'Brief  Kilotarif international ohne USt + EINSCHREIBEN'
                , 13132
            ),
            (
                2
                , 'dpoc4a_f00116'
                , 'dpoc4a_f00116'
                , 'Warenpost International XS Unterschrift'
                , 13163
            ),
            (
                2
                , 'dpoc4a_f00117'
                , 'dpoc4a_f00117'
                , 'Warenpost International S Unterschrift'
                , 13164
            ),
            (
                2
                , 'dpoc4a_f00118'
                , 'dpoc4a_f00118'
                , 'Warenpost International M Unterschrift'
                , 13165
            ),
            (
                2
                , 'dpoc4a_f00119'
                , 'dpoc4a_f00119'
                , 'Warenpost International L Unterschrift'
                , 13166
            ),
            (
                2
                , 'dpoc4a_f00120'
                , 'dpoc4a_f00120'
                , 'Warenpost International XS Unt. (EU/USt.)'
                , 13167
            ),
            (
                2
                , 'dpoc4a_f00121'
                , 'dpoc4a_f00121'
                , 'Warenpost International S Unt. (EU/USt.)'
                , 13168
            ),
            (
                2
                , 'dpoc4a_f00122'
                , 'dpoc4a_f00122'
                , 'Warenpost International M Unt. (EU/USt.)'
                , 13169
            ),
            (
                2
                , 'dpoc4a_f00123'
                , 'dpoc4a_f00123'
                , 'Warenpost International L Unt. (EU/USt.)'
                , 13170
            ),
            (
                2
                , 'dpoc4a_f00124'
                , 'dpoc4a_f00124'
                , 'Warenpost Int. KT Unterschrift'
                , 13172
            ),
            (
                2
                , 'dpoc4a_f00125'
                , 'dpoc4a_f00125'
                , 'Warenpost Int. KT Unterschrift (EU/USt.) für Plugin'
                , 13175
            ),
            (
                3
                , 'dpoc4r_f00114'
                , 'dpoc4r_f00114'
                , 'Brief  Kilotarif international ohne USt.'
                , 13133
            ),
            (
                3
                , 'dpoc4r_f00115'
                , 'dpoc4r_f00115'
                , 'Brief  Kilotarif international ohne USt + EINSCHREIBEN'
                , 13132
            ),
            (
                3
                , 'dpoc4r_f00116'
                , 'dpoc4r_f00116'
                , 'Warenpost International XS Unterschrift'
                , 13163
            ),
            (
                3
                , 'dpoc4r_f00117'
                , 'dpoc4r_f00117'
                , 'Warenpost International S Unterschrift'
                , 13164
            ),
            (
                3
                , 'dpoc4r_f00118'
                , 'dpoc4r_f00118'
                , 'Warenpost International M Unterschrift'
                , 13165
            ),
            (
                3
                , 'dpoc4r_f00119'
                , 'dpoc4r_f00119'
                , 'Warenpost International L Unterschrift'
                , 13166
            ),
            (
                3
                , 'dpoc4r_f00120'
                , 'dpoc4r_f00120'
                , 'Warenpost International XS Unt. (EU/USt.)'
                , 10284
            ),
            (
                3
                , 'dpoc4r_f00121'
                , 'dpoc4r_f00121'
                , 'Warenpost International S Unt. (EU/USt.)'
                , 13168
            ),
            (
                3
                , 'dpoc4r_f00122'
                , 'dpoc4r_f00122'
                , 'Warenpost International M Unt. (EU/USt.)'
                , 13169
            ),
            (
                3
                , 'dpoc4r_f00123'
                , 'dpoc4r_f00123'
                , 'Warenpost International L Unt. (EU/USt.)'
                , 13170
            ),
            (
                3
                , 'dpoc4r_f00124'
                , 'dpoc4r_f00124'
                , 'Warenpost Int. KT Unterschrift'
                , 13172
            ),
            (
                3
                , 'dpoc4r_f00125'
                , 'dpoc4r_f00125'
                , 'Warenpost Int. KT Unterschrift (EU/USt.) für Plugin'
                , 13175
            ),
            (
                4
                , 'dppapl_f00026'
                , 'dppapl_f00026'
                , 'Warenpost International XS Unterschrift'
                , 13163
            ),
            (
                4
                , 'dppapl_f00027'
                , 'dppapl_f00027'
                , 'Warenpost International S Unterschrift'
                , 13164
            ),
            (
                4
                , 'dppapl_f00028'
                , 'dppapl_f00028'
                , 'Warenpost International M Unterschrift'
                , 13165
            ),
            (
                4
                , 'dppapl_f00029'
                , 'dppapl_f00029'
                , 'Warenpost International L Unterschrift'
                , 13166
            ),
            (
                4
                , 'dppapl_f00030'
                , 'dppapl_f00030'
                , 'Warenpost International XS Unt. (EU/USt.)'
                , 13167
            ),
            (
                4
                , 'dppapl_f00031'
                , 'dppapl_f00031'
                , 'Warenpost International S Unt. (EU/USt.)'
                , 13168
            ),
            (
                4
                , 'dppapl_f00032'
                , 'dppapl_f00032'
                , 'Warenpost International M Unt. (EU/USt.)'
                , 13169
            ),
            (
                4
                , 'dppapl_f00033'
                , 'dppapl_f00033'
                , 'Warenpost International L Unt. (EU/USt.)'
                , 13170
            ),
            (
                4
                , 'dppapl_f00034'
                , 'dppapl_f00034'
                , 'Warenpost Int. KT Unterschrift'
                , 13172
            ),
            (
                4
                , 'dppapl_f00035'
                , 'dppapl_f00035'
                , 'Warenpost Int. KT Unterschrift (EU/USt.) für Plugin'
                , 13175
            )
        ;
    ";
    $wpdb->query($sql);

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Eco 500g'],
        ['app_service_feature_prodws_id' => 1332],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Eco 1000g'],
        ['app_service_feature_prodws_id' => 1342],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Eco 2000g'],
        ['app_service_feature_prodws_id' => 1375],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 500g'],
        ['app_service_feature_prodws_id' => 1385],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 1000g'],
        ['app_service_feature_prodws_id' => 1395],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 2000g'],
        ['app_service_feature_prodws_id' => 1405],
        ['%s'],
        ['%d']
    );


    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 500g + EINSCHREIBEN'],
        ['app_service_feature_prodws_id' => 1390],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 1000g + EINSCHREIBEN'],
        ['app_service_feature_prodws_id' => 1400],
        ['%s'],
        ['%d']
    );

    $wpdb->update( 
        $table_service_feature,
        ['app_service_feature_desc_long' => 'Presse Prio 2000g + EINSCHREIBEN'],
        ['app_service_feature_prodws_id' => 1410],
        ['%s'],
        ['%d']
    );
}
elseif ($migrationMode === "UNINSTALL")
{

}