<?php defined('ABSPATH') || exit; ?>

<h2><?php _e('Port status', 'woo-dp-internetmarke'); ?></h2>
<p class="description" style="margin-bottom: 1em"><?=__('To use the integrated services of this plugin some ports needs to be accessible. With this port scanner it is possible to test all the necessary ports.', 'woo-dp-internetmarke');?></p>

<table class="wcdpi-table widefat">
    <thead>
        <tr>
            <th colspan="2"><h2><?=__('Ports', 'woo-dp-internetmarke');?></h2></th>
        </tr>
    </thead>
    <tbody>
        <?php if ($settingsPortChecker): ?>

            <?php foreach ($settingsPortChecker['_wcdpi_portokasse_port_status'] as $host => $ports): ?>
                <?php foreach ($ports as $port => $result): ?>
                    <tr>
                        <td><?=$host . ':' . $port;?></td>
                        <td><?=($result) ? sprintf('<b class="wcdpi-text-ok">%s</b>', __('Open', 'woo-dp-internetmarke')) : sprintf('<b class="wcdpi-text-error">%s</b>', __('Closed', 'woo-dp-internetmarke')); ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php endforeach; ?>

            <tr>
                <th><b><?=__('Last port check', 'woo-dp-internetmarke');?></b></td>
                <td><?=$settingsPortChecker['_wcdpi_portokasse_port_status_timestamp'];?></td>
            </tr>

        <?php else: ?>

            <tr rowspan="2">
                <td colspan="2"><?=__('The ports have not been checked yet, please do so by pressing the button below.', 'woo-dp-internetmarke');?></td>
            </tr>

        <?php endif;?>
    </tbody>
</table>

<button name="check_ports" class="button button-secondary"><?=__('Test ports', 'woo-dp-internetmarke');?></button>